### Method

# Gtk AlertDialog show

since: 4.10

#### Declaration [src]

    void
    gtk_alert_dialog_show (
      GtkAlertDialog* self,
      GtkWindow* parent
    )

#### Description [src]

Shows the alert to the user.

This function is a simpler version of `gtk_alert_dialog_choose()` intended for dialogs with a single button.

If you want to cancel the dialog or if the alert has more than one button, you should use that function instead and provide it with a `GCancellable` and callback respectively.

Available since: 4.10

#### Parameters

`parent`

  Type: `GtkWindow`

  The parent window.

  The argument can be `NULL`.
  The data is owned by the caller of the method.